Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Thread_Semaphore Class Reference

Wrapper for Dijkstra style general semaphores that work only within one process. More...

`#include <Thread_Semaphore.h>`

Inheritance diagram for ACE_Thread_Semaphore:

[legend]
Collaboration diagram for ACE_Thread_Semaphore:

[legend]
List of all members.

## Public Methods
| ACE_Thread_Semaphore (unsigned int count=1, const ACE_TCHAR *name=0, void *=0, int max=0x7FFFFFFF)
| ~ACE_Thread_Semaphore (void)
| Default dtor.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Wrapper for Dijkstra style general semaphores that work only within one process.

## Constructor & Destructor Documentation

ACE_Thread_Semaphore::ACE_Thread_Semaphore | ( | unsigned int | count = 1,
|  | const ACE_TCHAR * | name = 0,
|  | void * | = 0,
|  | int | max = 0x7FFFFFFF
| ) |

| Initialize the semaphore, with an initial value of <count>, maximum value of <max>, and unlocked by default.

ACE_INLINE ACE_Thread_Semaphore::~ACE_Thread_Semaphore | ( | void |  | ) |

| Default dtor.

## Member Function Documentation

void ACE_Thread_Semaphore::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Semaphore.

## Member Data Documentation

ACE_Thread_Semaphore::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Semaphore.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Thread_Semaphore.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Thread_Semaphore.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Thread_Semaphore.inl